PICOTOOL-VERIFY(1)

NAME
picotool-verify - Check that the device contents match those in the file.

SYNOPSIS
picotool verify <filename> [-t <type>] [-r <from> <to>] [-o <offset>] [device-selection]

OPTIONS
The file to compare against

<filename>
    The file name

-t <type>
    Specify file type (uf2 | elf | bin) explicitly, ignoring fileextension

Address options

-r, --range
    Compare a sub range of memory only

<from>
    The lower address bound in hex

<to>
    The upper address bound in hex

-o, --offset
    Specify the load address when comparing with a BIN file

<offset>
    Load offset (memory address; default 0x10000000)

Target device selection

--bus <bus>
    Filter devices by USB bus number

--address <addr>
    Filter devices by USB device address

--vid <vid>
    Filter by vendor id

--pid <pid>
    Filter by product id

--ser <ser>
    Filter by serial number

-f, --force
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will berebooted back to application mode

-F, --force-no-reboot
    Force a device not in BOOTSEL mode but running compatible code toreset so the command can be executed. After executing the command(unless the command itself is a `reboot') the device will be leftconnected and accessible to picotool, but without the USB drivemounted